Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

ARIES-979: Integrate semantic versioning maven plugin in aries module…

…s (jpa)

git-svn-id: https://svn.apache.org/repos/asf/aries/trunk@1425194 13f79535-47bb-0310-9956-ffa450edef68
  • Loading branch information...
commit 21f0163d93df08f4b42bbd76b1847b585fdd1768 1 parent ca6ad21
Emily Jiang authored
21 jpa/jpa-api/pom.xml
View
@@ -65,5 +65,26 @@
<scope>provided</scope>
</dependency>
</dependencies>
+ <build>
+ <plugins>
+ <plugin>
+ <groupId>org.apache.aries.versioning</groupId>
+ <artifactId>org.apache.aries.versioning.plugin</artifactId>
+ <version>0.1.0-SNAPSHOT</version>
+ <executions>
+ <execution>
+ <id>default-verify</id>
+ <phase>verify</phase>
+ <goals>
+ <goal>version-check</goal>
+ </goals>
+ <configuration>
+ <oldArtifact>org.apache.aries.jpa:org.apache.aries.jpa.api:1.0.0</oldArtifact>
+ </configuration>
+ </execution>
+ </executions>
+ </plugin>
+ </plugins>
+ </build>
</project>
21 jpa/jpa-blueprint-aries/pom.xml
View
@@ -100,4 +100,25 @@
<scope>test</scope>
</dependency>
</dependencies>
+ <build>
+ <plugins>
+ <plugin>
+ <groupId>org.apache.aries.versioning</groupId>
+ <artifactId>org.apache.aries.versioning.plugin</artifactId>
+ <version>0.1.0-SNAPSHOT</version>
+ <executions>
+ <execution>
+ <id>default-verify</id>
+ <phase>verify</phase>
+ <goals>
+ <goal>version-check</goal>
+ </goals>
+ <configuration>
+ <oldArtifact>org.apache.aries.jpa:org.apache.aries.jpa.blueprint.aries:1.0.0</oldArtifact>
+ </configuration>
+ </execution>
+ </executions>
+ </plugin>
+ </plugins>
+ </build>
</project>
21 jpa/jpa-container-context/pom.xml
View
@@ -120,5 +120,26 @@
<scope>test</scope>
</dependency>
</dependencies>
+ <build>
+ <plugins>
+ <plugin>
+ <groupId>org.apache.aries.versioning</groupId>
+ <artifactId>org.apache.aries.versioning.plugin</artifactId>
+ <version>0.1.0-SNAPSHOT</version>
+ <executions>
+ <execution>
+ <id>default-verify</id>
+ <phase>verify</phase>
+ <goals>
+ <goal>version-check</goal>
+ </goals>
+ <configuration>
+ <oldArtifact>org.apache.aries.jpa:org.apache.aries.jpa.container.context:1.0.0</oldArtifact>
+ </configuration>
+ </execution>
+ </executions>
+ </plugin>
+ </plugins>
+ </build>
</project>
21 jpa/jpa-container-eclipselink-adapter/pom.xml
View
@@ -85,5 +85,26 @@
<scope>provided</scope>
</dependency>
</dependencies>
+ <build>
+ <plugins>
+ <plugin>
+ <groupId>org.apache.aries.versioning</groupId>
+ <artifactId>org.apache.aries.versioning.plugin</artifactId>
+ <version>0.1.0-SNAPSHOT</version>
+ <executions>
+ <execution>
+ <id>default-verify</id>
+ <phase>verify</phase>
+ <goals>
+ <goal>version-check</goal>
+ </goals>
+ <configuration>
+ <oldArtifact>org.apache.aries.jpa:org.apache.aries.jpa.eclipselink.adapter:1.0.0</oldArtifact>
+ </configuration>
+ </execution>
+ </executions>
+ </plugin>
+ </plugins>
+ </build>
</project>
21 jpa/jpa-container/pom.xml
View
@@ -139,5 +139,26 @@
<scope>provided</scope>
</dependency>
</dependencies>
+ <build>
+ <plugins>
+ <plugin>
+ <groupId>org.apache.aries.versioning</groupId>
+ <artifactId>org.apache.aries.versioning.plugin</artifactId>
+ <version>0.1.0-SNAPSHOT</version>
+ <executions>
+ <execution>
+ <id>default-verify</id>
+ <phase>verify</phase>
+ <goals>
+ <goal>version-check</goal>
+ </goals>
+ <configuration>
+ <oldArtifact>org.apache.aries.jpa:org.apache.aries.jpa.container:1.0.0</oldArtifact>
+ </configuration>
+ </execution>
+ </executions>
+ </plugin>
+ </plugins>
+ </build>
</project>
Please sign in to comment.
Something went wrong with that request. Please try again.